/*				NAVBAR				*/

.navbar-bg {
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	background-color: var(--primary-color-1);

}

.navbar {
	width: var(--main-width);
	display: flex;
	gap: 0.2rem;
	height: 60px;
	margin: 0 auto;
	align-items: center;
}

.navbar__nav {
	display: flex;
	align-items: center;
	margin-left: auto; margin-right: auto;
	width: 100%;
	height: 100%;
}

.navbar__nav > ul {
	display: flex;
	height: 100%;
	width: var(--main-width);
}

.nav__link {
	font-family: Stencil, Bernard MT, "Segoe UI", sans-serif;
	height: 100%;
	display: inline-flex;
	align-items: center;
	font-weight: 400;
	font-size: 1.35rem;
	color: var(--text-color-2);
	background-color: var(--primary-color-1);
	padding: 0 1rem;
}

.nav__link:hover,
.nav__link.nav__link--active {
	color: var(--primary-color-2);
	background-color: var(--text-color-1-bg);
}

.button.navbar__toggle {
	display: none;
}

/*
 *				USER NAV
 */

.user-navbar__title {
	box-shadow: unset;
	transform: unset;
	font-size: 1.35em;
}

.user-navbar {
	display: inline-block;
	position: relative;
}

.user-navbar__toggle {
	height: 40px;
	width: 53px;
	background: url(../img/icons/user_menu.svg) no-repeat;
	background-size: contain;
}

.user-navbar__content {
	display: block;
	position: absolute;
	top: 50px;
	right: 0;
	text-align: right;
	min-width: 15rem;
	max-height: calc(100vh - 60px);
	border-right: 5px solid var(--primary-color-5);
	background-color: var(--primary-color-3);
	box-shadow: var(--global-shadow-4);
	opacity: 0;
	height: 0;
	overflow-y: auto;
	pointer-events: none;
	transition: opacity 0.2s ease-in-out, height 0.2s ease-in-out;
}

.user-navbar__content--show {
	pointer-events: unset;
	height: unset;
	opacity: 1;
}

.user-navbar__content__link,
.button.user-navbar__content__link {
	display: block;
	width: 100%;
	padding: 1rem;
	font-size: 1.1rem;
	font-weight: 600;
	text-align: right;
	white-space: nowrap;
	color: var(--text-color-2);
	background-color: var(--primary-color-3);
}

.user-navbar__content__link:hover,
.button.user-navbar__content__link:hover {
	color: var(--primary-color-5);
	background-color: var(--primary-color-t1);
}

.user-navbar li :not(h4):hover {
	border-left: 5px solid var(--primary-color-5);
}

/*
 *				ADMIN NAV
*/

.admin-toolbar {
	display: flex;
	gap: 0.25rem;
	align-items: center;
	padding: 0.25rem;
	background-color: var(--primary-color-t1);
}

.admin-toolbar span.title {
	display: inline-block;
	height: 100%;
	padding: 0 0.5rem;
	font-weight: 600;
	color: var(--primary-color-3);
}

.admin-navbar {
	display: grid;
	gap: 0.15rem;
	min-width: 15vw;
}

.admin-nav-title {
	color: var(--signal-color-1);
}

.admin-nav-link {
	display: block;
	font-size: 1rem;
	font-weight: 600;
	padding: 0.35rem 3.5rem 0.35rem 1rem;
	color: var(--primary-color-3);
	background-color: var(--primary-color-t1);
	border-left: 5px solid var(--primary-color-3);
}

.admin-nav-link--sub {
	display: block;
	font-size: 0.8em;
	padding: 0.25rem 1rem;
	margin-top: 0.15em;
	margin-left: 5px;
	color: var(--primary-color-3);
	background-color: var(--primary-color-t2);
}

.admin-nav-link:hover,
.admin-nav-link--sub:hover {
	background-color: var(--primary-color-4);
}

@media screen and (max-width: 991px) {

	.navbar-bg {
		position: fixed;
		top: 0;
		width: 100%;
	}

	.navbar {
		justify-content: flex-end;
		padding: 0.5rem;
		gap: 0.5rem;
	}

	.button.navbar__toggle {
		display: block;
		font-size: 2.5rem;
		font-weight: 800;
		padding: 0.1rem 1rem 0.65rem 1rem;
		line-height: 0.75;
		border: 0;
		background-color: var(--primary-color-t1);
	}

	.navbar__nav {
		position: absolute;
		top: 60px;
		right: -100%;
		width: 75vw;
		height: calc(100vh - 60px);
		overflow-y: auto;
		background-color: #000000;
		transition: right 0.2s ease-in-out;
	}

	.navbar__nav.navbar__nav--show {
		right: 0;
	}

	.navbar__nav > ul {
		display: block;
	}

	.nav__link {
		width: 100%;
		display: block;
		padding: 1.5rem 3rem;
		text-align: right;
		background-color: var(--text-color-2-bg);
	}

	.nav__link.button-on-mobile {
		width: unset;
		font-family: "Segoe UI", sans-serif;
		display: inline-block;
		line-height: 1.25;
		font-size: 1rem;
		font-weight: 800;
		text-align: center;
		text-transform: uppercase;
		white-space: nowrap;
		border: 0;
		padding: 0.25rem 1rem;
		color: var(--text-color-2);
		background-color: var(--primary-color-1);
	}

/*
 *				USER NAV
 */

	.user-navbar {
		position: unset;
	}

	.user-navbar__content {
		top: 60px;
		width: 70vw;
		height: calc(100vh - 60px);
		text-align: right;
		border-right: 0;
		border-left: 5px solid var(--primary-color-5);
		opacity: 1;
		transform: translateX(100%);
		transition: transform 0.2s ease-in-out;
	}

	.user-navbar__content--show {
		transform: translateX(0);
	}

	.user-navbar li :not(h4):hover {
		border-left: 0;
	}

	.user-navbar__content__link,
	.button.user-navbar__content__link {
		display: block;
		width: 100%;
		padding: 1.5rem;
		font-size: 1.2rem;
	}

/*
 *				ADMIN NAV
*/

	.admin-navbar {
		display: flex;
		flex-wrap: wrap;
		min-width: 100%;
	}

	.admin-navbar li {
		flex: 1;
	}

	.admin-nav-title {
		display: none;
	}

	.admin-nav-link,
	.admin-nav-link--sub {
		padding: 0.35rem;
		white-space: nowrap;
	}

	.admin-nav-link {
		border-left: none;
		border-top: 5px solid var(--primary-color-3);
	}

	.admin-nav-link--sub {
		margin-left: unset;
	}

}